*{
    margin: 0;
    padding: 0;
    font-family: 'Merriweather Sans', sans-serif;
}

:root {
    --colorDark1: #112D4E;
    --colorDark2: #3F72AF;
    --colorLight1: #DBE2EF;
    --colorLight2: #F9F7F7;
}

body{
    min-height: 100vh;
    width: 100vw;
    /* overflow: hidden; */
    background: linear-gradient(160deg, #112d4e 0%, #3f72af 100%);
    background-repeat: no-repeat;
    color: var(--colorLight2);
    transform: scale(0.8);
    margin-top: -4.5rem;
    padding-bottom: 4.5rem;
}

h1{
    text-align: center;
    padding-block: 2rem;
    word-spacing: 2px;
    letter-spacing: 1.75px;
}

nav{
    display: flex;
    width: 90%;
    max-width: 550px;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    margin-top: 2rem;
}

nav .current-tab{
    background-color: rgba(219, 226, 239, 0.5);
    border-radius: 4px;
}

nav div{
    cursor: pointer;
    font-size: 0.875rem;
    letter-spacing: 1.75px;
    padding: 5px 8px;
}

.weather-container{
    margin-block: 4rem;
}

.sub-container{
    display: flex;
    flex-direction: column;   
    align-items: center;
    width: 90%;
    max-width: 1000px;
    margin: 0 auto;
}

.weather-container .grant-access-container{
    display: none;
}

.weather-container .grant-access-container.active{
    display: flex;
}

.weather-container div[grant-access-container] img{
    object-fit: cover;
    margin-bottom: 2rem;
}

.weather-container div[grant-access-container] h2{
    font-size: 1.75rem;
    font-weight: 600;
}

.weather-container div[grant-access-container] p{
    font-size: 0.85rem;
    font-weight: 300;
    margin-top: 0.75rem;
    margin-bottom: 1.75rem;
    letter-spacing: 0.75px;
}

.weather-container div[grant-access-container] button{
    all: unset;
    font-size: 0.85rem;
    cursor: pointer;
    padding: 10px 30px;
    border-radius: 5px;
    background-color: var(--colorDark2);
    color: var(--colorLight2);
}

.weather-container .loader-container{
    display: none;
}

.weather-container .loader-container.active{
    display: flex;
}

.weather-container .weather-information-container{
    display: none;
}

.weather-container .weather-information-container.active{
    display: flex;
}

.display-city-name{
    display: flex;
    align-items: center;
    gap: 0 0.5rem;
    margin-bottom: 1rem;
}

p[city-name-display]{
    font-size: 2rem;
    font-weight: 200;
}

img[country-flag]{
    height: 30px;
    width: 30px;
    object-fit: contain;
}

p[weather-description-text]{
    font-size: 1.5rem;
    font-weight: 200;
}

img[weather-description-img]{
    height: 90px;
    width: 90px;
    object-fit: contain;
}

p[weather-temperature]{
    font-size: 2.75rem;
    font-weight: 700;
}

.weather-information-cards{
    display: flex;
    width: 90%;
    margin: 0 auto;
    margin-top: 2rem;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px 20px;
}

.cards{
    width: 200px;
    background-color: rgba(219, 226, 239, 0.5);
    border-radius: 5px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 5px 0;
}

.cards img{
    height: 50px;
    width: 50px;
    object-fit: cover;
}

.cards p{
    text-transform: uppercase;
    font-size: 1.5rem;
    font-weight: 200;
}

.search-city-container{
    display: none;
    width: 90%;
    max-width: 550px;
    margin: 0 auto;
    justify-content: center;
    align-items: center;
    margin-bottom: 3rem;
    gap: 0 10px;
}

form.active{
    display: flex;
}

form input:focus{
    outline: 3px solid rgba(255, 255, 255, 0.7);
}

form input{
    all:unset;
    width: calc(100% - 80px);
    height: 40px;
    padding: 0 20px;
    background-color: rgba(219, 226, 239, 0.5);
    border-radius: 10px;
}

form input::placeholder{
    color: rgba(255, 255, 255, 0.7);
}

form button{
    all: unset;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    font-size: 0.85rem;
    background-color: var(--colorDark2);
    cursor: pointer;
}

.error-handler-container{
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem 0;
}
.error-handler-container.active{
    display: flex;
}

.error-handler-container img{
    object-fit: cover;
    width: 100%;
    max-width: 300px;
}

@media (max-width:768px){
    .weather-information-cards{
        flex-direction: column;
    }
}